require('dotenv').config();
const express = require('express');
const axios = require('axios');
const path = require('path');
const mysql = require('mysql');

const app = express();
const PORT = process.env.PORT || 80;

// Serve static files from the 'public' directory
app.use(express.static('public'));

// Serve the main HTML page
app.get('/', (req, res) => {
    res.sendFile(path.join(__dirname, 'index.html'));
});

// Database connection
const connection = mysql.createPool({
    host: process.env.DB_HOST,
    user: process.env.DB_USER,
    password: process.env.DB_PASSWORD,
    database: process.env.DB_NAME,
    waitForConnections: true,
    connectionLimit: 10,
    queueLimit: 0
});

// Promise wrapper for the connection pool



// Start the server
